/*
*  Name:      requeriment_verifier.hh
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   UESQLC requirement verifier for ANSI/ISO SQL 92
*  Date:      $Date: 1999/07/03 10:29:17 $
*  Revision:  $Revision: 1.6 $
*
*  Copyright (C) 1996-1999  Rafael Jesus Alcantara Perez <ralcan@vnet.es>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#ifndef _REQUIREMENT_VERIFIER__
#define _REQUIREMENT_VERIFIER__

#include <mpcl/base_requirement_verifier.hh>
#include "defs.hh"
#include "stack_value.hh"


///  Requirement verifier for UESQLC.
class TRequirementVerifier : public TBaseRequirementVerifier<TStackValue*>
{

  public:

    //
    //  C O N S T R U C T O R S
    //

    ///  Builds a new instance.
    TRequirementVerifier (void);
    

  public:

    //
    //  S E L E C T O R S
    //
    
    /**
    *  Verifies that requirement corresponding to liREQUERIMENT_IDENTIFIER,
    *  is true.
    *  @param liREQUERIMENT_IDENTIFIER Requirement identifier.
    *  @return True if requirement is verified.
    */
    bool verify (long int liREQUERIMENT_IDENTIFIER) const;

};  // class TRequirementVerifier


#endif  // not _REQUIREMENT_VERIFIER__
