/*
*  Name:         uesqlc.cc
*  Author:       Rafael Jesus Alcantara Perez
*  Summary:      UESQLC main
*  Date:         $Date: 1999/08/20 11:27:03 $
*  Revision:     $Revision: 1.5 $
*  Description:  Compiler for UESQL language.
*                UESQL is a subset of:
*
*                ISO/IEC 9075:1992, "Information Technology -- Database Languages -- SQL"
*                ANSI X3.135-1992,  "Database Language SQL"
*
*  Copyright (C) 1996-1999  Rafael Jesus Alcantara Perez <ralcan@vnet.es>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#include <clocale>
#include "../../config.h"
#include "application.hh"


//
//  E X P O R T E D   V A R I A B L E S
//

///  Compiler application.
TApplication   tCompilerApplication (PACKAGE, VERSION);


///  Main.
int main (int argc, const char* argv[])
{

  setlocale (LC_ALL, "");
  tCompilerApplication.initialize (argc, argv);
  return tCompilerApplication.start();
  
}  // main()
